package com.sky.entity;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author zhangyifan
 * @Date 2024/4/9 17:22
 */
//@Data
//@Builder
//@NoArgsConstructor
//@AllArgsConstructor
//public class landimg  implements Serializable {
//
//
//    private Integer bh;
//
//    private String author;
//
//    private String site;
//
//    private LocalDate pzdt;
//
//    private String imgurl;
//
//
//
//
//}


/**
 * <p>
 *
 * </p>
 *
 * @author yfzhang
 * @since 2024-04-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_landimg")
@ApiModel(value="TLandimg对象", description="")
public class TLandimg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "bh", type = IdType.AUTO)
    private Integer bh;

    @ApiModelProperty(value = "拍照作者")
    private String author;

    @ApiModelProperty(value = "拍照位置")
    private String site;

    @ApiModelProperty(value = "拍照日期")
    private LocalDate pzdt;

    @ApiModelProperty(value = "备注")
    private String imgurl;

    @ApiModelProperty(value = "备注")
    private String bz;


}
