package com.sky.service;

import com.sky.entity.TLandimg;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yfzhang
 * @since 2024-04-23
 */


public interface ITLandimgService extends IService<TLandimg> {
    /**
     * 根据手机号查询已填报的信息
     * @param phone
     * @return
     */
    List<TLandimg> getLandimgByPhone(String phone);
}
