package com.sky.service.impl;

import com.sky.entity.TLandimg;
import com.sky.mapper.TLandimgMapper;
import com.sky.service.ITLandimgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sky.service.ITLandimgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yfzhang
 * @since 2024-04-23
 */
@Service
public class TLandimgServiceImpl extends ServiceImpl<TLandimgMapper, TLandimg> implements ITLandimgService {
@Autowired
private TLandimgMapper tLandimgMapper;

    /**
     * 根据手机号查询已填报的信息
     * @param phone
     * @return
     */
    @Override
    public List<TLandimg> getLandimgByPhone(String phone) {
        return tLandimgMapper.getLandimgByPhone(phone);
    }
}
